tigase.jaxmpp.core.client.factory

## Interface UniversalFactory.FactorySpi<T>

- Type Parameters:
    `T` - type of created objects.
  Enclosing class:
    UniversalFactory

      public static interface UniversalFactory.FactorySpi<T>

  Interface for object factory.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `create()` Creates new instance of class.

- - ### Method Detail

    - #### create

          T create()

      Creates new instance of class.
      Returns:

Copyright © 2006–2020 Tigase. All rights reserved.